/* Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * @file  ap_config_layout.h
 * @brief Apache Config Layout
 */

#ifndef AP_CONFIG_LAYOUT_H
#define AP_CONFIG_LAYOUT_H

/* Configured Apache directory layout */
#define DEFAULT_PREFIX "/opt/puppet"
#define DEFAULT_EXP_EXEC_PREFIX "/opt/puppet"
#define DEFAULT_REL_EXEC_PREFIX ""
#define DEFAULT_EXP_BINDIR "/opt/puppet/bin"
#define DEFAULT_REL_BINDIR "bin"
#define DEFAULT_EXP_SBINDIR "/opt/puppet/sbin"
#define DEFAULT_REL_SBINDIR "sbin"
#define DEFAULT_EXP_LIBEXECDIR "/opt/puppet/lib/httpd/modules"
#define DEFAULT_REL_LIBEXECDIR "lib/httpd/modules"
#define DEFAULT_EXP_MANDIR "/opt/puppet/share/man"
#define DEFAULT_REL_MANDIR "share/man"
#define DEFAULT_EXP_SYSCONFDIR "/etc/puppetlabs/httpd"
#define DEFAULT_REL_SYSCONFDIR "/etc/puppetlabs/httpd"
#define DEFAULT_EXP_DATADIR "/opt/puppet/share/httpd"
#define DEFAULT_REL_DATADIR "share/httpd"
#define DEFAULT_EXP_INSTALLBUILDDIR "/opt/puppet/share/httpd/build"
#define DEFAULT_REL_INSTALLBUILDDIR "share/httpd/build"
#define DEFAULT_EXP_ERRORDIR "/opt/puppet/share/httpd/error"
#define DEFAULT_REL_ERRORDIR "share/httpd/error"
#define DEFAULT_EXP_ICONSDIR "/opt/puppet/share/httpd/icons"
#define DEFAULT_REL_ICONSDIR "share/httpd/icons"
#define DEFAULT_EXP_HTDOCSDIR "/opt/puppet/share/httpd/default-site/htdocs"
#define DEFAULT_REL_HTDOCSDIR "share/httpd/default-site/htdocs"
#define DEFAULT_EXP_MANUALDIR "/opt/puppet/share/httpd/default-site/htdocs/manual"
#define DEFAULT_REL_MANUALDIR "share/httpd/default-site/htdocs/manual"
#define DEFAULT_EXP_CGIDIR "/opt/puppet/lib/cgi-bin"
#define DEFAULT_REL_CGIDIR "lib/cgi-bin"
#define DEFAULT_EXP_INCLUDEDIR "/opt/puppet/include/httpd"
#define DEFAULT_REL_INCLUDEDIR "include/httpd"
#define DEFAULT_EXP_LOCALSTATEDIR "/var/lock/pe-httpd"
#define DEFAULT_REL_LOCALSTATEDIR "/var/lock/pe-httpd"
#define DEFAULT_EXP_RUNTIMEDIR "/var/run/pe-httpd"
#define DEFAULT_REL_RUNTIMEDIR "/var/run/pe-httpd"
#define DEFAULT_EXP_LOGFILEDIR "/var/log/pe-httpd"
#define DEFAULT_REL_LOGFILEDIR "/var/log/pe-httpd"
#define DEFAULT_EXP_PROXYCACHEDIR "/var/cache/pe-httpd/proxy"
#define DEFAULT_REL_PROXYCACHEDIR "/var/cache/pe-httpd/proxy"

#endif /* AP_CONFIG_LAYOUT_H */
